ur_rna.GUITester.GuiTools.Matchers

## Class ClassMatcher.MultiClassMatcher

- java.lang.Object
- - ur_rna.GUITester.GuiTools.Matchers.ComposableBase
  - - ur_rna.GUITester.GuiTools.Matchers.ClassMatcher
    - - ur_rna.GUITester.GuiTools.Matchers.ClassMatcher.MultiClassMatcher

- All Implemented Interfaces:
    abbot.finder.Matcher, ComposableMatcher
  Enclosing class:
    ClassMatcher

      public static class ClassMatcher.MultiClassMatcher
      extends ClassMatcher

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ur_rna.GUITester.GuiTools.Matchers.ClassMatcher

      `ClassMatcher.MultiClassMatcher, ClassMatcher.SingleClassMatcher`

    - ### Nested classes/interfaces inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `ComposableBase.BinaryMatcher, ComposableBase.Identity, ComposableBase.Inverse`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Class[]` | `_classes`
    `private int` | `_len`

    - ### Fields inherited from class ur_rna.GUITester.GuiTools.Matchers.ClassMatcher

      `allowHidden`

    - ### Fields inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `FALSE, TRUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiClassMatcher(java.lang.Class... classes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassNames()`
    `boolean` | `matches(java.awt.Component cmp)`

    - ### Methods inherited from class ur_rna.GUITester.GuiTools.Matchers.ClassMatcher

      `equalsClass, findClass, of, of, ofType, toString, tryGetClass`

    - ### Methods inherited from class ur_rna.GUITester.GuiTools.Matchers.ComposableBase

      `and, composable, getChildMatchers, identity, inverse, inverse, or, self, simplify, simplify, withText, withText, withText, xor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _classes

          private java.lang.Class[] _classes

    - #### _len

          private int _len

  - ### Constructor Detail

    - #### MultiClassMatcher

          public MultiClassMatcher(java.lang.Class... classes)

  - ### Method Detail

    - #### getClassNames

          public java.lang.String getClassNames()

      Specified by:
        `getClassNames` in class `ClassMatcher`

    - #### matches

          public boolean matches(java.awt.Component cmp)